Product catalogs owned by this business.
GET /v24.0/{business-id}/owned_product_catalogs HTTP/1.1
Host: graph.facebook.com/* PHP SDK v5.0.0 */
/* make the API call */
try {
// Returns a `Facebook\FacebookResponse` object
$response = $fb->get(
'/{business-id}/owned_product_catalogs',
'{access-token}'
);
} catch(Facebook\Exceptions\FacebookResponseException $e) {
echo 'Graph returned an error: ' . $e->getMessage();
exit;
} catch(Facebook\Exceptions\FacebookSDKException $e) {
echo 'Facebook SDK returned an error: ' . $e->getMessage();
exit;
}
$graphNode = $response->getGraphNode();
/* handle the result *//* make the API call */
FB.api(
"/{business-id}/owned_product_catalogs",
function (response) {
if (response && !response.error) {
/* handle the result */
}
}
);/* make the API call */
new GraphRequest(
AccessToken.getCurrentAccessToken(),
"/{business-id}/owned_product_catalogs",
null,
HttpMethod.GET,
new GraphRequest.Callback() {
public void onCompleted(GraphResponse response) {
/* handle the result */
}
}
).executeAsync();/* make the API call */
FBSDKGraphRequest *request = [[FBSDKGraphRequest alloc]
initWithGraphPath:@"/{business-id}/owned_product_catalogs"
parameters:params
HTTPMethod:@"GET"];
[request startWithCompletionHandler:^(FBSDKGraphRequestConnection *connection,
id result,
NSError *error) {
// Handle the result
}];Reading from this edge will return a JSON formatted result:
{ "
data": [], "paging": {} }
datapaging| Error | Description |
|---|---|
| 200 | Permissions error |
| 100 | Invalid parameter |
| 80009 | There have been too many calls to this Catalog account. Wait a bit and try again. For more info, please refer to https://developers.facebook.com/docs/graph-api/overview/rate-limiting. |
| 190 | Invalid OAuth 2.0 Access Token |
| 104 | Incorrect signature |
owned_product_catalogs edge from the following paths: | Parameter | Description |
|---|---|
additional_vertical_optionenum {LOCAL_DA_CATALOG, LOCAL_PRODUCTS} | Additional catalog configurations that does not introduce either new verticals or subverticals |
business_metadataJSON object | business_metadata |
catalog_segment_filterA JSON-encoded rule | Provide filter for catalog to create a catalog segment. |
da_display_settingsObject | Dynamic Ads display settings. |
destination_catalog_settingsJSON object | Destination catalog settings. |
flight_catalog_settingsJSON object | Flight catalog settings. |
nameUTF-8 encoded string | Name of the catalog. Required |
parent_catalog_idnumeric string or integer | Parent catalog ID. |
partner_integrationJSON object | Partner integration settings |
store_catalog_settingsJSON object | Store catalog settings. |
verticalenum {adoptable_pets, commerce, destinations, flights, generic, home_listings, hotels, local_service_businesses, offer_items, offline_commerce, transactable_items, vehicles} | Default value: commerceThe catalog's industry or vertical, such as |
id in the return type.id: numeric string, | Error | Description |
|---|---|
| 100 | Invalid parameter |
| 190 | Invalid OAuth 2.0 Access Token |
| 804 | Specified object already exists |
| 102 | Session key invalid or no longer valid |
| 200 | Permissions error |
| 2310019 | The business of this catalog is not onboarded to Collaborative Ads |